Retrieves all the equipment_brand objects
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_brand| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the equipment brand |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "7cefe51a-5e6e-4ba0-808a-d7b6e4430962",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "7f8e98f7-2752-4913-ac1f-dc71d8053fc2",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "1bedde08-8832-4bcb-b35f-ea9c558715f3",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "34b04a2b-1bad-43b3-89f5-01c45527534e",
"db_currency_id": "5042a0c7-c51d-433e-b1e7-19c529e3485e",
"db_language_id": "1775dacb-8874-4571-86da-103e655f17b9",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:51:05.8282004+00:00"
},
"modified_dateutc": "2026-10-28T21:51:05.8282004+00:00"
}